Subject: bug#6225: closed (Re: bug#6225: Please add a hook for `isearch-process-search-string')

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 20 May 2010 22:22:02 +0000

Your bug report

#6225: Please add a hook for `isearch-process-search-string'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6225: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6225
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6225: Please add a hook for `isearch-process-search-string'
From: Juri Linkov <[email-masked]>
To: Lennart Borgman <[email-masked]>
Cc: [email-masked]
Date: Fri, 21 May 2010 01:19:57 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>>> It mentions a hook named isearch-update-post-hook. I can't find any
>>>>> such hook. Is it there?
>>>>
>>>> It was reverted due to the feature freeze:
>>>> http://thread.gmane.org/gmane.emacs.devel/121172/focus=121190
>>>>
>>>> It could be reinstalled now.
>>>>
>>>>> What does it do?
>>>>
>>>> I think it does what you want.
>>>
>>> Sounds good (but I proposed the change for using
>>> isearch-process-search-string with the purpose to make such a patch to
>>> be possible/simple).
>>
>> It seems `isearch-update-post-hook' is better than a hook
>> for `isearch-process-search-string', no?
>
> Ah thanks, yes. You are right. I just did not find it.

I reinstalled the patch of Mark A. Hershberger.

-- 
Juri Linkov
http://www.jurta.org/emacs/

Subject: Please add a hook for `isearch-process-search-string'
From: Lennart Borgman <[email-masked]>
To: Emacs Bugs <[email-masked]>
Date: Thu, 20 May 2010 01:53:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

There is AFAICS no way to currently trigger actions when isearch
search string changes.

I think it would be useful to have a hook for this. Some things that
you could do would for example

- Sync with external apps (I currently want to sync with display in Firefox).

- Show matches in buffers displayed in other windows on the same frame
could sometimes be useful.

Could we please add such a hook? I think the place to run it is in
`isearch-process-search-string'.